# Connect a channel manager to a property

`POST /lodging/channels` · Rivier · bookings

Connect a channel manager to a property.

- Scope: bookings:admin
- Sdk: bookings.channel.connect
- Cli: bookings channel connect

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "propertyId": {
      "type": "string",
      "format": "uuid"
    },
    "provider": {
      "type": "string",
      "pattern": "^[a-z][a-z0-9_-]{1,30}$"
    },
    "label": {
      "type": "string",
      "maxLength": 80,
      "default": ""
    },
    "config": {
      "type": "object",
      "additionalProperties": {
        "type": "string",
        "maxLength": 300
      },
      "default": {}
    }
  },
  "required": [
    "propertyId",
    "provider"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/lodging/channels' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "propertyId": "string",
  "provider": "string"
}'
```
